Skip to main content
GET
/
payments
/
disputes
Get All Disputes
curl --request GET \
  --url https://api.rootfi.dev/v4/payments/disputes \
  --header 'api_key: <api-key>'
{
  "data": [
    {
      "rootfi_id": 10001,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2025-01-20T00:00:00Z",
      "rootfi_updated_at": "2025-01-25T14:00:00Z",
      "rootfi_company_id": 999,
      "platform_id": "dp_stripe_001",
      "transaction_id": "9001",
      "invoice_id": "54321",
      "contact_id": "12345",
      "currency_id": "USD",
      "amount": 500,
      "status": "under_review",
      "reason": "unrecognized",
      "reason_code": "customer_not_recognized",
      "gateway": "stripe",
      "gateway_dispute_id": "dp_stripe_12345",
      "evidence_due_date": "2025-02-05T00:00:00Z",
      "resolution_date": null,
      "created_at": "2025-01-20T00:00:00Z",
      "updated_at": "2025-01-25T14:00:00Z"
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
The Disputes Data Model represents contact disputes and chargebacks on payment transactions, with status tracking and evidence submission deadlines.

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of orders you want to retrieve

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

select
string | null

Comma separated fields to select. Supported values are raw_data, data_hash

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

return_count
string | null

Return the count of the objects. Supported values are true and false

sort[rootfi_created_at]
enum<string> | null

Sort by rootfi_created_at

Available options:
ASC,
DESC
sort[rootfi_updated_at]
enum<string> | null

Sort by rootfi_updated_at

Available options:
ASC,
DESC

Response

The data of the tax rates endpoint.

data
paymentsDisputesObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects